libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
std::char_traits< unsigned char > Struct Template Reference

Work around missing std::char_traits<unsigned char> More...

`#include <compiler-public.hxx>`

## Public Types

typedef int | int_type
typedef size_t | pos_type
typedef long | off_type
typedef unsigned char | char_type

## Static Public Member Functions

static int_type | eof ()

## Detailed Description

### template<>
struct std::char_traits< unsigned char >

Work around missing std::char_traits<unsigned char>

## Member Typedef Documentation

typedef unsigned char std::char_traits< unsigned char >::char_type

typedef int std::char_traits< unsigned char >::int_type

typedef long std::char_traits< unsigned char >::off_type

typedef size_t std::char_traits< unsigned char >::pos_type

## Member Function Documentation

static int_type std::char_traits< unsigned char >::eof | ( |  | ) |

static

The documentation for this struct was generated from the following file:

- compiler-public.hxx